View Issue Details

IDProjectCategoryView StatusLast Update
15706Bug reports_ Unknownpublic2020-01-30 21:09
Reporterollehar Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.21.3 
Target Version3.x 
Summary15706: Support PHP 7.4
Description

Need to update Twig to latest 1.x version.

TagsNo tags attached.
Complete LimeSurvey version number (& build)latest master
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Activities

ollehar

ollehar

2020-01-27 12:29

administrator   ~55480

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29435

ollehar

ollehar

2020-01-27 12:56

administrator   ~55482

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29437

ollehar

ollehar

2020-01-27 14:25

administrator   ~55484

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29446

Related Changesets

LimeSurvey: master 3a73006f

2020-01-14 11:22:40

ollehar


Committer: eddylackmann Details Diff
New feature 15706: Support PHP 7.4 Affected Issues
15706
mod - application/third_party/Twig/Autoloader.php Diff File
add - application/third_party/Twig/Cache/CacheInterface.php Diff File
add - application/third_party/Twig/Cache/FilesystemCache.php Diff File
add - application/third_party/Twig/Cache/NullCache.php Diff File
mod - application/third_party/Twig/Compiler.php Diff File
mod - application/third_party/Twig/Environment.php Diff File
add - application/third_party/Twig/Error/Error.php Diff File
add - application/third_party/Twig/Error/LoaderError.php Diff File
add - application/third_party/Twig/Error/RuntimeError.php Diff File
add - application/third_party/Twig/Error/SyntaxError.php Diff File
mod - application/third_party/Twig/ExpressionParser.php Diff File
add - application/third_party/Twig/Extension/AbstractExtension.php Diff File
add - application/third_party/Twig/Extension/CoreExtension.php Diff File
add - application/third_party/Twig/Extension/DebugExtension.php Diff File
add - application/third_party/Twig/Extension/EscaperExtension.php Diff File
add - application/third_party/Twig/Extension/ExtensionInterface.php Diff File
mod - application/third_party/Twig/Extension/GlobalsInterface.php Diff File
mod - application/third_party/Twig/Extension/InitRuntimeInterface.php Diff File
add - application/third_party/Twig/Extension/OptimizerExtension.php Diff File
add - application/third_party/Twig/Extension/ProfilerExtension.php Diff File
add - application/third_party/Twig/Extension/RuntimeExtensionInterface.php Diff File
add - application/third_party/Twig/Extension/SandboxExtension.php Diff File
add - application/third_party/Twig/Extension/StagingExtension.php Diff File
add - application/third_party/Twig/Extension/StringLoaderExtension.php Diff File
mod - application/third_party/Twig/FileExtensionEscapingStrategy.php Diff File
mod - application/third_party/Twig/Lexer.php Diff File
add - application/third_party/Twig/Loader/ArrayLoader.php Diff File
add - application/third_party/Twig/Loader/ChainLoader.php Diff File
add - application/third_party/Twig/Loader/ExistsLoaderInterface.php Diff File
add - application/third_party/Twig/Loader/FilesystemLoader.php Diff File
add - application/third_party/Twig/Loader/LoaderInterface.php Diff File
add - application/third_party/Twig/Loader/SourceContextLoaderInterface.php Diff File
mod - application/third_party/Twig/Markup.php Diff File
add - application/third_party/Twig/Node/AutoEscapeNode.php Diff File
add - application/third_party/Twig/Node/BlockNode.php Diff File
add - application/third_party/Twig/Node/BlockReferenceNode.php Diff File
add - application/third_party/Twig/Node/BodyNode.php Diff File
add - application/third_party/Twig/Node/CheckSecurityNode.php Diff File
add - application/third_party/Twig/Node/CheckToStringNode.php Diff File
add - application/third_party/Twig/Node/DeprecatedNode.php Diff File
add - application/third_party/Twig/Node/DoNode.php Diff File
add - application/third_party/Twig/Node/EmbedNode.php Diff File
add - application/third_party/Twig/Node/Expression/AbstractExpression.php Diff File
add - application/third_party/Twig/Node/Expression/ArrayExpression.php Diff File
add - application/third_party/Twig/Node/Expression/ArrowFunctionExpression.php Diff File
add - application/third_party/Twig/Node/Expression/AssignNameExpression.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/AbstractBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/AddBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/AndBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/BitwiseAndBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/BitwiseOrBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/BitwiseXorBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/ConcatBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/DivBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/EndsWithBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/EqualBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/FloorDivBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/GreaterBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/GreaterEqualBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/InBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/LessBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/LessEqualBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/MatchesBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/ModBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/MulBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/NotEqualBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/NotInBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/OrBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/PowerBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/RangeBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/StartsWithBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/SubBinary.php Diff File
add - application/third_party/Twig/Node/Expression/BlockReferenceExpression.php Diff File
add - application/third_party/Twig/Node/Expression/CallExpression.php Diff File
add - application/third_party/Twig/Node/Expression/ConditionalExpression.php Diff File
add - application/third_party/Twig/Node/Expression/ConstantExpression.php Diff File
add - application/third_party/Twig/Node/Expression/Filter/DefaultFilter.php Diff File
add - application/third_party/Twig/Node/Expression/FilterExpression.php Diff File
add - application/third_party/Twig/Node/Expression/FunctionExpression.php Diff File
add - application/third_party/Twig/Node/Expression/GetAttrExpression.php Diff File
add - application/third_party/Twig/Node/Expression/InlinePrint.php Diff File
add - application/third_party/Twig/Node/Expression/MethodCallExpression.php Diff File
add - application/third_party/Twig/Node/Expression/NameExpression.php Diff File
add - application/third_party/Twig/Node/Expression/NullCoalesceExpression.php Diff File
add - application/third_party/Twig/Node/Expression/ParentExpression.php Diff File
add - application/third_party/Twig/Node/Expression/TempNameExpression.php Diff File
add - application/third_party/Twig/Node/Expression/Test/ConstantTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/DefinedTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/DivisiblebyTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/EvenTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/NullTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/OddTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/SameasTest.php Diff File
add - application/third_party/Twig/Node/Expression/TestExpression.php Diff File
add - application/third_party/Twig/Node/Expression/Unary/AbstractUnary.php Diff File
add - application/third_party/Twig/Node/Expression/Unary/NegUnary.php Diff File
add - application/third_party/Twig/Node/Expression/Unary/NotUnary.php Diff File
add - application/third_party/Twig/Node/Expression/Unary/PosUnary.php Diff File
add - application/third_party/Twig/Node/FlushNode.php Diff File
add - application/third_party/Twig/Node/ForLoopNode.php Diff File
add - application/third_party/Twig/Node/ForNode.php Diff File
add - application/third_party/Twig/Node/IfNode.php Diff File
add - application/third_party/Twig/Node/ImportNode.php Diff File
add - application/third_party/Twig/Node/IncludeNode.php Diff File
add - application/third_party/Twig/Node/MacroNode.php Diff File
add - application/third_party/Twig/Node/ModuleNode.php Diff File
add - application/third_party/Twig/Node/Node.php Diff File
add - application/third_party/Twig/Node/NodeCaptureInterface.php Diff File
add - application/third_party/Twig/Node/NodeOutputInterface.php Diff File
add - application/third_party/Twig/Node/PrintNode.php Diff File
add - application/third_party/Twig/Node/SandboxNode.php Diff File
add - application/third_party/Twig/Node/SandboxedPrintNode.php Diff File
add - application/third_party/Twig/Node/SetNode.php Diff File
add - application/third_party/Twig/Node/SetTempNode.php Diff File
add - application/third_party/Twig/Node/SpacelessNode.php Diff File
add - application/third_party/Twig/Node/TextNode.php Diff File
add - application/third_party/Twig/Node/WithNode.php Diff File
mod - application/third_party/Twig/NodeTraverser.php Diff File
add - application/third_party/Twig/NodeVisitor/AbstractNodeVisitor.php Diff File
add - application/third_party/Twig/NodeVisitor/EscaperNodeVisitor.php Diff File
add - application/third_party/Twig/NodeVisitor/NodeVisitorInterface.php Diff File
add - application/third_party/Twig/NodeVisitor/OptimizerNodeVisitor.php Diff File
add - application/third_party/Twig/NodeVisitor/SafeAnalysisNodeVisitor.php Diff File
add - application/third_party/Twig/NodeVisitor/SandboxNodeVisitor.php Diff File
mod - application/third_party/Twig/Parser.php Diff File
add - application/third_party/Twig/Profiler/Dumper/BaseDumper.php Diff File
add - application/third_party/Twig/Profiler/Dumper/BlackfireDumper.php Diff File
add - application/third_party/Twig/Profiler/Dumper/HtmlDumper.php Diff File
add - application/third_party/Twig/Profiler/Dumper/TextDumper.php Diff File
add - application/third_party/Twig/Profiler/Node/EnterProfileNode.php Diff File
add - application/third_party/Twig/Profiler/Node/LeaveProfileNode.php Diff File
add - application/third_party/Twig/Profiler/NodeVisitor/ProfilerNodeVisitor.php Diff File
mod - application/third_party/Twig/Profiler/Profile.php Diff File
add - application/third_party/Twig/RuntimeLoader/ContainerRuntimeLoader.php Diff File
add - application/third_party/Twig/RuntimeLoader/FactoryRuntimeLoader.php Diff File
add - application/third_party/Twig/RuntimeLoader/RuntimeLoaderInterface.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedFilterError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedFunctionError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedMethodError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedPropertyError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedTagError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityPolicy.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityPolicyInterface.php Diff File
mod - application/third_party/Twig/Source.php Diff File
mod - application/third_party/Twig/Template.php Diff File
mod - application/third_party/Twig/TemplateWrapper.php Diff File
mod - application/third_party/Twig/Test/IntegrationTestCase.php Diff File
mod - application/third_party/Twig/Test/NodeTestCase.php Diff File
mod - application/third_party/Twig/Token.php Diff File
add - application/third_party/Twig/TokenParser/AbstractTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/ApplyTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/AutoEscapeTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/BlockTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/DeprecatedTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/DoTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/EmbedTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/ExtendsTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/FilterTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/FlushTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/ForTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/FromTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/IfTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/ImportTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/IncludeTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/MacroTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/SandboxTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/SetTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/SpacelessTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/TokenParserInterface.php Diff File
add - application/third_party/Twig/TokenParser/UseTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/WithTokenParser.php Diff File
mod - application/third_party/Twig/TokenStream.php Diff File
add - application/third_party/Twig/TwigFilter.php Diff File
add - application/third_party/Twig/TwigFunction.php Diff File
add - application/third_party/Twig/TwigTest.php Diff File
mod - application/third_party/Twig/Util/DeprecationCollector.php Diff File
mod - application/third_party/Twig/Util/TemplateDirIterator.php Diff File
mod - third_party/Twig/ETwigViewRenderer.php Diff File

LimeSurvey: master 52b5c7a4

2020-01-14 11:22:40

ollehar


Committer: eddylackmann Details Diff
Revert "New feature 15706: Support PHP 7.4"

This reverts commit 3a73006ffe229c558fe61b6138df2567548cdf28.
Affected Issues
15706
mod - application/third_party/Twig/Autoloader.php Diff File
rm - application/third_party/Twig/Cache/CacheInterface.php Diff File
rm - application/third_party/Twig/Cache/FilesystemCache.php Diff File
rm - application/third_party/Twig/Cache/NullCache.php Diff File
mod - application/third_party/Twig/Compiler.php Diff File
mod - application/third_party/Twig/Environment.php Diff File
rm - application/third_party/Twig/Error/Error.php Diff File
rm - application/third_party/Twig/Error/LoaderError.php Diff File
rm - application/third_party/Twig/Error/RuntimeError.php Diff File
rm - application/third_party/Twig/Error/SyntaxError.php Diff File
mod - application/third_party/Twig/ExpressionParser.php Diff File
rm - application/third_party/Twig/Extension/AbstractExtension.php Diff File
rm - application/third_party/Twig/Extension/CoreExtension.php Diff File
rm - application/third_party/Twig/Extension/DebugExtension.php Diff File
rm - application/third_party/Twig/Extension/EscaperExtension.php Diff File
rm - application/third_party/Twig/Extension/ExtensionInterface.php Diff File
mod - application/third_party/Twig/Extension/GlobalsInterface.php Diff File
mod - application/third_party/Twig/Extension/InitRuntimeInterface.php Diff File
rm - application/third_party/Twig/Extension/OptimizerExtension.php Diff File
rm - application/third_party/Twig/Extension/ProfilerExtension.php Diff File
rm - application/third_party/Twig/Extension/RuntimeExtensionInterface.php Diff File
rm - application/third_party/Twig/Extension/SandboxExtension.php Diff File
rm - application/third_party/Twig/Extension/StagingExtension.php Diff File
rm - application/third_party/Twig/Extension/StringLoaderExtension.php Diff File
mod - application/third_party/Twig/FileExtensionEscapingStrategy.php Diff File
mod - application/third_party/Twig/Lexer.php Diff File
rm - application/third_party/Twig/Loader/ArrayLoader.php Diff File
rm - application/third_party/Twig/Loader/ChainLoader.php Diff File
rm - application/third_party/Twig/Loader/ExistsLoaderInterface.php Diff File
rm - application/third_party/Twig/Loader/FilesystemLoader.php Diff File
rm - application/third_party/Twig/Loader/LoaderInterface.php Diff File
rm - application/third_party/Twig/Loader/SourceContextLoaderInterface.php Diff File
mod - application/third_party/Twig/Markup.php Diff File
rm - application/third_party/Twig/Node/AutoEscapeNode.php Diff File
rm - application/third_party/Twig/Node/BlockNode.php Diff File
rm - application/third_party/Twig/Node/BlockReferenceNode.php Diff File
rm - application/third_party/Twig/Node/BodyNode.php Diff File
rm - application/third_party/Twig/Node/CheckSecurityNode.php Diff File
rm - application/third_party/Twig/Node/CheckToStringNode.php Diff File
rm - application/third_party/Twig/Node/DeprecatedNode.php Diff File
rm - application/third_party/Twig/Node/DoNode.php Diff File
rm - application/third_party/Twig/Node/EmbedNode.php Diff File
rm - application/third_party/Twig/Node/Expression/AbstractExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/ArrayExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/ArrowFunctionExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/AssignNameExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/AbstractBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/AddBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/AndBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/BitwiseAndBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/BitwiseOrBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/BitwiseXorBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/ConcatBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/DivBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/EndsWithBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/EqualBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/FloorDivBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/GreaterBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/GreaterEqualBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/InBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/LessBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/LessEqualBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/MatchesBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/ModBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/MulBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/NotEqualBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/NotInBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/OrBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/PowerBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/RangeBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/StartsWithBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/Binary/SubBinary.php Diff File
rm - application/third_party/Twig/Node/Expression/BlockReferenceExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/CallExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/ConditionalExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/ConstantExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/Filter/DefaultFilter.php Diff File
rm - application/third_party/Twig/Node/Expression/FilterExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/FunctionExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/GetAttrExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/InlinePrint.php Diff File
rm - application/third_party/Twig/Node/Expression/MethodCallExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/NameExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/NullCoalesceExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/ParentExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/TempNameExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/Test/ConstantTest.php Diff File
rm - application/third_party/Twig/Node/Expression/Test/DefinedTest.php Diff File
rm - application/third_party/Twig/Node/Expression/Test/DivisiblebyTest.php Diff File
rm - application/third_party/Twig/Node/Expression/Test/EvenTest.php Diff File
rm - application/third_party/Twig/Node/Expression/Test/NullTest.php Diff File
rm - application/third_party/Twig/Node/Expression/Test/OddTest.php Diff File
rm - application/third_party/Twig/Node/Expression/Test/SameasTest.php Diff File
rm - application/third_party/Twig/Node/Expression/TestExpression.php Diff File
rm - application/third_party/Twig/Node/Expression/Unary/AbstractUnary.php Diff File
rm - application/third_party/Twig/Node/Expression/Unary/NegUnary.php Diff File
rm - application/third_party/Twig/Node/Expression/Unary/NotUnary.php Diff File
rm - application/third_party/Twig/Node/Expression/Unary/PosUnary.php Diff File
rm - application/third_party/Twig/Node/FlushNode.php Diff File
rm - application/third_party/Twig/Node/ForLoopNode.php Diff File
rm - application/third_party/Twig/Node/ForNode.php Diff File
rm - application/third_party/Twig/Node/IfNode.php Diff File
rm - application/third_party/Twig/Node/ImportNode.php Diff File
rm - application/third_party/Twig/Node/IncludeNode.php Diff File
rm - application/third_party/Twig/Node/MacroNode.php Diff File
rm - application/third_party/Twig/Node/ModuleNode.php Diff File
rm - application/third_party/Twig/Node/Node.php Diff File
rm - application/third_party/Twig/Node/NodeCaptureInterface.php Diff File
rm - application/third_party/Twig/Node/NodeOutputInterface.php Diff File
rm - application/third_party/Twig/Node/PrintNode.php Diff File
rm - application/third_party/Twig/Node/SandboxNode.php Diff File
rm - application/third_party/Twig/Node/SandboxedPrintNode.php Diff File
rm - application/third_party/Twig/Node/SetNode.php Diff File
rm - application/third_party/Twig/Node/SetTempNode.php Diff File
rm - application/third_party/Twig/Node/SpacelessNode.php Diff File
rm - application/third_party/Twig/Node/TextNode.php Diff File
rm - application/third_party/Twig/Node/WithNode.php Diff File
mod - application/third_party/Twig/NodeTraverser.php Diff File
rm - application/third_party/Twig/NodeVisitor/AbstractNodeVisitor.php Diff File
rm - application/third_party/Twig/NodeVisitor/EscaperNodeVisitor.php Diff File
rm - application/third_party/Twig/NodeVisitor/NodeVisitorInterface.php Diff File
rm - application/third_party/Twig/NodeVisitor/OptimizerNodeVisitor.php Diff File
rm - application/third_party/Twig/NodeVisitor/SafeAnalysisNodeVisitor.php Diff File
rm - application/third_party/Twig/NodeVisitor/SandboxNodeVisitor.php Diff File
mod - application/third_party/Twig/Parser.php Diff File
rm - application/third_party/Twig/Profiler/Dumper/BaseDumper.php Diff File
rm - application/third_party/Twig/Profiler/Dumper/BlackfireDumper.php Diff File
rm - application/third_party/Twig/Profiler/Dumper/HtmlDumper.php Diff File
rm - application/third_party/Twig/Profiler/Dumper/TextDumper.php Diff File
rm - application/third_party/Twig/Profiler/Node/EnterProfileNode.php Diff File
rm - application/third_party/Twig/Profiler/Node/LeaveProfileNode.php Diff File
rm - application/third_party/Twig/Profiler/NodeVisitor/ProfilerNodeVisitor.php Diff File
mod - application/third_party/Twig/Profiler/Profile.php Diff File
rm - application/third_party/Twig/RuntimeLoader/ContainerRuntimeLoader.php Diff File
rm - application/third_party/Twig/RuntimeLoader/FactoryRuntimeLoader.php Diff File
rm - application/third_party/Twig/RuntimeLoader/RuntimeLoaderInterface.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedFilterError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedFunctionError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedMethodError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedPropertyError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedTagError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityPolicy.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityPolicyInterface.php Diff File
mod - application/third_party/Twig/Source.php Diff File
mod - application/third_party/Twig/Template.php Diff File
mod - application/third_party/Twig/TemplateWrapper.php Diff File
mod - application/third_party/Twig/Test/IntegrationTestCase.php Diff File
mod - application/third_party/Twig/Test/NodeTestCase.php Diff File
mod - application/third_party/Twig/Token.php Diff File
rm - application/third_party/Twig/TokenParser/AbstractTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/ApplyTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/AutoEscapeTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/BlockTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/DeprecatedTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/DoTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/EmbedTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/ExtendsTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/FilterTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/FlushTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/ForTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/FromTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/IfTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/ImportTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/IncludeTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/MacroTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/SandboxTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/SetTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/SpacelessTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/TokenParserInterface.php Diff File
rm - application/third_party/Twig/TokenParser/UseTokenParser.php Diff File
rm - application/third_party/Twig/TokenParser/WithTokenParser.php Diff File
mod - application/third_party/Twig/TokenStream.php Diff File
rm - application/third_party/Twig/TwigFilter.php Diff File
rm - application/third_party/Twig/TwigFunction.php Diff File
rm - application/third_party/Twig/TwigTest.php Diff File
mod - application/third_party/Twig/Util/DeprecationCollector.php Diff File
mod - application/third_party/Twig/Util/TemplateDirIterator.php Diff File
mod - third_party/Twig/ETwigViewRenderer.php Diff File

LimeSurvey: master de7dcc15

2020-01-14 11:22:40

ollehar


Committer: eddylackmann Details Diff
New feature 15706: Support PHP 7.4 Affected Issues
15706
mod - application/third_party/Twig/Autoloader.php Diff File
add - application/third_party/Twig/Cache/CacheInterface.php Diff File
add - application/third_party/Twig/Cache/FilesystemCache.php Diff File
add - application/third_party/Twig/Cache/NullCache.php Diff File
mod - application/third_party/Twig/Compiler.php Diff File
mod - application/third_party/Twig/Environment.php Diff File
add - application/third_party/Twig/Error/Error.php Diff File
add - application/third_party/Twig/Error/LoaderError.php Diff File
add - application/third_party/Twig/Error/RuntimeError.php Diff File
add - application/third_party/Twig/Error/SyntaxError.php Diff File
mod - application/third_party/Twig/ExpressionParser.php Diff File
add - application/third_party/Twig/Extension/AbstractExtension.php Diff File
add - application/third_party/Twig/Extension/CoreExtension.php Diff File
add - application/third_party/Twig/Extension/DebugExtension.php Diff File
add - application/third_party/Twig/Extension/EscaperExtension.php Diff File
add - application/third_party/Twig/Extension/ExtensionInterface.php Diff File
mod - application/third_party/Twig/Extension/GlobalsInterface.php Diff File
mod - application/third_party/Twig/Extension/InitRuntimeInterface.php Diff File
add - application/third_party/Twig/Extension/OptimizerExtension.php Diff File
add - application/third_party/Twig/Extension/ProfilerExtension.php Diff File
add - application/third_party/Twig/Extension/RuntimeExtensionInterface.php Diff File
add - application/third_party/Twig/Extension/SandboxExtension.php Diff File
add - application/third_party/Twig/Extension/StagingExtension.php Diff File
add - application/third_party/Twig/Extension/StringLoaderExtension.php Diff File
mod - application/third_party/Twig/FileExtensionEscapingStrategy.php Diff File
mod - application/third_party/Twig/Lexer.php Diff File
add - application/third_party/Twig/Loader/ArrayLoader.php Diff File
add - application/third_party/Twig/Loader/ChainLoader.php Diff File
add - application/third_party/Twig/Loader/ExistsLoaderInterface.php Diff File
add - application/third_party/Twig/Loader/FilesystemLoader.php Diff File
add - application/third_party/Twig/Loader/LoaderInterface.php Diff File
add - application/third_party/Twig/Loader/SourceContextLoaderInterface.php Diff File
mod - application/third_party/Twig/Markup.php Diff File
add - application/third_party/Twig/Node/AutoEscapeNode.php Diff File
add - application/third_party/Twig/Node/BlockNode.php Diff File
add - application/third_party/Twig/Node/BlockReferenceNode.php Diff File
add - application/third_party/Twig/Node/BodyNode.php Diff File
add - application/third_party/Twig/Node/CheckSecurityNode.php Diff File
add - application/third_party/Twig/Node/CheckToStringNode.php Diff File
add - application/third_party/Twig/Node/DeprecatedNode.php Diff File
add - application/third_party/Twig/Node/DoNode.php Diff File
add - application/third_party/Twig/Node/EmbedNode.php Diff File
add - application/third_party/Twig/Node/Expression/AbstractExpression.php Diff File
add - application/third_party/Twig/Node/Expression/ArrayExpression.php Diff File
add - application/third_party/Twig/Node/Expression/ArrowFunctionExpression.php Diff File
add - application/third_party/Twig/Node/Expression/AssignNameExpression.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/AbstractBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/AddBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/AndBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/BitwiseAndBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/BitwiseOrBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/BitwiseXorBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/ConcatBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/DivBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/EndsWithBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/EqualBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/FloorDivBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/GreaterBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/GreaterEqualBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/InBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/LessBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/LessEqualBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/MatchesBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/ModBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/MulBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/NotEqualBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/NotInBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/OrBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/PowerBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/RangeBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/StartsWithBinary.php Diff File
add - application/third_party/Twig/Node/Expression/Binary/SubBinary.php Diff File
add - application/third_party/Twig/Node/Expression/BlockReferenceExpression.php Diff File
add - application/third_party/Twig/Node/Expression/CallExpression.php Diff File
add - application/third_party/Twig/Node/Expression/ConditionalExpression.php Diff File
add - application/third_party/Twig/Node/Expression/ConstantExpression.php Diff File
add - application/third_party/Twig/Node/Expression/Filter/DefaultFilter.php Diff File
add - application/third_party/Twig/Node/Expression/FilterExpression.php Diff File
add - application/third_party/Twig/Node/Expression/FunctionExpression.php Diff File
add - application/third_party/Twig/Node/Expression/GetAttrExpression.php Diff File
add - application/third_party/Twig/Node/Expression/InlinePrint.php Diff File
add - application/third_party/Twig/Node/Expression/MethodCallExpression.php Diff File
add - application/third_party/Twig/Node/Expression/NameExpression.php Diff File
add - application/third_party/Twig/Node/Expression/NullCoalesceExpression.php Diff File
add - application/third_party/Twig/Node/Expression/ParentExpression.php Diff File
add - application/third_party/Twig/Node/Expression/TempNameExpression.php Diff File
add - application/third_party/Twig/Node/Expression/Test/ConstantTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/DefinedTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/DivisiblebyTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/EvenTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/NullTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/OddTest.php Diff File
add - application/third_party/Twig/Node/Expression/Test/SameasTest.php Diff File
add - application/third_party/Twig/Node/Expression/TestExpression.php Diff File
add - application/third_party/Twig/Node/Expression/Unary/AbstractUnary.php Diff File
add - application/third_party/Twig/Node/Expression/Unary/NegUnary.php Diff File
add - application/third_party/Twig/Node/Expression/Unary/NotUnary.php Diff File
add - application/third_party/Twig/Node/Expression/Unary/PosUnary.php Diff File
add - application/third_party/Twig/Node/FlushNode.php Diff File
add - application/third_party/Twig/Node/ForLoopNode.php Diff File
add - application/third_party/Twig/Node/ForNode.php Diff File
add - application/third_party/Twig/Node/IfNode.php Diff File
add - application/third_party/Twig/Node/ImportNode.php Diff File
add - application/third_party/Twig/Node/IncludeNode.php Diff File
add - application/third_party/Twig/Node/MacroNode.php Diff File
add - application/third_party/Twig/Node/ModuleNode.php Diff File
add - application/third_party/Twig/Node/Node.php Diff File
add - application/third_party/Twig/Node/NodeCaptureInterface.php Diff File
add - application/third_party/Twig/Node/NodeOutputInterface.php Diff File
add - application/third_party/Twig/Node/PrintNode.php Diff File
add - application/third_party/Twig/Node/SandboxNode.php Diff File
add - application/third_party/Twig/Node/SandboxedPrintNode.php Diff File
add - application/third_party/Twig/Node/SetNode.php Diff File
add - application/third_party/Twig/Node/SetTempNode.php Diff File
add - application/third_party/Twig/Node/SpacelessNode.php Diff File
add - application/third_party/Twig/Node/TextNode.php Diff File
add - application/third_party/Twig/Node/WithNode.php Diff File
mod - application/third_party/Twig/NodeTraverser.php Diff File
add - application/third_party/Twig/NodeVisitor/AbstractNodeVisitor.php Diff File
add - application/third_party/Twig/NodeVisitor/EscaperNodeVisitor.php Diff File
add - application/third_party/Twig/NodeVisitor/NodeVisitorInterface.php Diff File
add - application/third_party/Twig/NodeVisitor/OptimizerNodeVisitor.php Diff File
add - application/third_party/Twig/NodeVisitor/SafeAnalysisNodeVisitor.php Diff File
add - application/third_party/Twig/NodeVisitor/SandboxNodeVisitor.php Diff File
mod - application/third_party/Twig/Parser.php Diff File
add - application/third_party/Twig/Profiler/Dumper/BaseDumper.php Diff File
add - application/third_party/Twig/Profiler/Dumper/BlackfireDumper.php Diff File
add - application/third_party/Twig/Profiler/Dumper/HtmlDumper.php Diff File
add - application/third_party/Twig/Profiler/Dumper/TextDumper.php Diff File
add - application/third_party/Twig/Profiler/Node/EnterProfileNode.php Diff File
add - application/third_party/Twig/Profiler/Node/LeaveProfileNode.php Diff File
add - application/third_party/Twig/Profiler/NodeVisitor/ProfilerNodeVisitor.php Diff File
mod - application/third_party/Twig/Profiler/Profile.php Diff File
add - application/third_party/Twig/RuntimeLoader/ContainerRuntimeLoader.php Diff File
add - application/third_party/Twig/RuntimeLoader/FactoryRuntimeLoader.php Diff File
add - application/third_party/Twig/RuntimeLoader/RuntimeLoaderInterface.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedFilterError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedFunctionError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedMethodError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedPropertyError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityNotAllowedTagError.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityPolicy.php Diff File
mod - application/third_party/Twig/Sandbox/SecurityPolicyInterface.php Diff File
mod - application/third_party/Twig/Source.php Diff File
mod - application/third_party/Twig/Template.php Diff File
mod - application/third_party/Twig/TemplateWrapper.php Diff File
mod - application/third_party/Twig/Test/IntegrationTestCase.php Diff File
mod - application/third_party/Twig/Test/NodeTestCase.php Diff File
mod - application/third_party/Twig/Token.php Diff File
add - application/third_party/Twig/TokenParser/AbstractTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/ApplyTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/AutoEscapeTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/BlockTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/DeprecatedTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/DoTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/EmbedTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/ExtendsTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/FilterTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/FlushTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/ForTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/FromTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/IfTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/ImportTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/IncludeTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/MacroTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/SandboxTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/SetTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/SpacelessTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/TokenParserInterface.php Diff File
add - application/third_party/Twig/TokenParser/UseTokenParser.php Diff File
add - application/third_party/Twig/TokenParser/WithTokenParser.php Diff File
mod - application/third_party/Twig/TokenStream.php Diff File
add - application/third_party/Twig/TwigFilter.php Diff File
add - application/third_party/Twig/TwigFunction.php Diff File
add - application/third_party/Twig/TwigTest.php Diff File
mod - application/third_party/Twig/Util/DeprecationCollector.php Diff File
mod - application/third_party/Twig/Util/TemplateDirIterator.php Diff File
mod - third_party/Twig/ETwigViewRenderer.php Diff File

Issue History

Date Modified Username Field Change
2020-01-14 11:19 ollehar New Issue
2020-01-14 11:19 ollehar Status new => assigned
2020-01-14 11:19 ollehar Assigned To => ollehar
2020-01-14 11:19 ollehar Target Version 4.0.x => 3.x
2020-01-27 12:29 eddylackmann Changeset attached => LimeSurvey master 3a73006f
2020-01-27 12:29 ollehar Note Added: 55480
2020-01-27 12:29 ollehar Resolution open => fixed
2020-01-27 12:56 eddylackmann Changeset attached => LimeSurvey master 52b5c7a4
2020-01-27 12:56 ollehar Note Added: 55482
2020-01-27 14:25 eddylackmann Changeset attached => LimeSurvey master de7dcc15
2020-01-27 14:25 ollehar Note Added: 55484
2020-01-30 21:09 ollehar Status assigned => closed